"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RpcErrorExceptionFilter = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const utils_1 = require("../../../utils");
let RpcErrorExceptionFilter = class RpcErrorExceptionFilter {
    catch(exception, host) {
        host.switchToHttp().getResponse().send((0, utils_1.getBodyError)(exception));
    }
};
exports.RpcErrorExceptionFilter = RpcErrorExceptionFilter;
exports.RpcErrorExceptionFilter = RpcErrorExceptionFilter = tslib_1.__decorate([
    (0, common_1.Catch)()
], RpcErrorExceptionFilter);
//# sourceMappingURL=rpc-error-exception.filter.js.map