"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorCode = exports.ZOD_INPUT_DATA = exports.ASYNC_ITERATOR_FACTORY = exports.RPC_CONTEXT = exports.MAP_HANDLER = exports.JsonRpcMetadataKeyParamPipe = exports.JsonRpcMetadataKey = void 0;
const types_1 = require("../types");
exports.JsonRpcMetadataKey = '__rpc-metadata__';
exports.JsonRpcMetadataKeyParamPipe = '__rpc-metadata-param-pipe__';
exports.MAP_HANDLER = Symbol('MAP_HANDLER');
exports.RPC_CONTEXT = Symbol('RPC_CONTEXT');
exports.ASYNC_ITERATOR_FACTORY = Symbol('ASYNC_ITERATOR_FACTORY');
exports.ZOD_INPUT_DATA = Symbol('ZOD_INPUT_DATA');
exports.ErrorCode = {
    [types_1.ErrorCodeType.ParseError]: -32700,
    [types_1.ErrorCodeType.InvalidRequest]: -32600,
    [types_1.ErrorCodeType.MethodNotFound]: -32601,
    [types_1.ErrorCodeType.InvalidParams]: -32602,
    [types_1.ErrorCodeType.InternalError]: -32603,
    [types_1.ErrorCodeType.ServerError]: -32000,
};
//# sourceMappingURL=index.js.map