"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpTransportModule = void 0;
const json_rpc_controller_1 = require("./controllers/json-rpc.controller");
class HttpTransportModule {
    static forRoot(providers, imports = []) {
        return {
            module: HttpTransportModule,
            providers,
            controllers: [json_rpc_controller_1.JsonRpcController],
            // exports: [RPC_CONTEXT],
            imports,
        };
    }
}
exports.HttpTransportModule = HttpTransportModule;
//# sourceMappingURL=http-transport.module.js.map