import { DynamicModule, Provider } from '@nestjs/common';
import { Type } from '@nestjs/common/interfaces/type.interface';
import { ForwardReference } from '@nestjs/common/interfaces/modules/forward-reference.interface';
import { GatewayMetadata } from '@nestjs/websockets/interfaces';
export declare class WsSocketTransportModule {
    static forRoot(wsConfig: GatewayMetadata, providers: Provider[], imports?: Array<Type<any> | DynamicModule | Promise<DynamicModule> | ForwardReference>): DynamicModule;
}
