"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WsSocketTransportModule = void 0;
const service_1 = require("./service");
const factory_1 = require("./factory");
class WsSocketTransportModule {
    static forRoot(wsConfig, providers, imports = []) {
        return {
            module: WsSocketTransportModule,
            providers: [
                ...providers,
                (0, factory_1.createGatewayFactory)(service_1.WebSocketGatewayService, wsConfig),
            ],
            imports,
        };
    }
}
exports.WsSocketTransportModule = WsSocketTransportModule;
//# sourceMappingURL=ws-socket-transport.module.js.map